This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 167618 - `whoami`@`hostname -s` in rhbsys causes grief
`whoami`@`hostname -s` in rhbsys causes grief
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-06 07:48 EDT by Leonard den Ottolander
Modified: 2015-01-04 17:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-26 17:57:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Leonard den Ottolander 2005-09-06 07:48:48 EDT
Description of problem:

The `whoami`@`hostname -s` in the define of rhbsys causes grief with a newly
build kernel (from srpm) as uname -a does not report the part after the '@'
which causes depmod to fail.

Version-Release number of selected component (if applicable):

kernel-2.6.12-1.1447_FC4.src.rpm

Steps to Reproduce:
rpm -iv kernel.src.rpm
rpmbuild -ba --target <arch> kernel.spec
rpm -iv kernel.<arch>.rpm
reboot

Actual results:

Numerous modules fail to load as depmod can't find the correct module tree.

Additional info:

Suggest using `whoami`_at_`hostname -s` instead of `whoami`@`hostname -s`.
Comment 1 Dave Jones 2005-09-12 01:53:33 EDT
this caused numerous other problems too. It's been backed out in the latest
build at http://people.redhat.com/davej/kernels/Fedora/FC4/

Note You need to log in before you can comment on or make changes to this bug.